// <file>
//     <license see="prj:///doc/license.txt"/>
//     <owner name="Stefan Wallner" />
// </file>


using System.IO;
using System.Threading;
using System.Drawing;
using System.Drawing.Printing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Diagnostics;

using ICSharpCode.Core;
using ICSharpCode.SharpDevelop.Gui;
using ICSharpCode.SharpDevelop.Project;

namespace CocoAddin.Commands
{
	/// <summary>
	/// TagProvider to be able to use ${CocoAddin.Commands.ParsedFile} with ICSharpCode.Core.StringParser
	/// </summary>
	public class CocoAddinStringTagProvider : IStringTagProvider
	{
		
		readonly static string[] tags = new string[] {"CocoAddin.CocoPad.ActiveParsedFile"};
		
		public string[] Tags {
			get {
				return tags;
			}
		}
		
		public string Convert(string tag){
			
			switch (tag) {
				case "CocoAddin.CocoPad.ActiveParsedFile":
					return CocoAddin.CocoPad.ActiveParsedFile;
				default:
					return "";
			}
		}
	}
}
