// <file>
//     <license see="prj:///doc/license.txt"/>
//     <owner name="Stefan Wallner" />
// </file>


using System;
using System.Windows.Forms;

using ICSharpCode.Core;
using ICSharpCode.SharpDevelop;

namespace CocoAddin.Commands
{
	/// <summary>
	/// handels a click on the actual open file string in the pad
	/// </summary>
	public class ParsedFile : AbstractCheckableMenuCommand
	{
		
		public ParsedFile() {
			this.IsChecked = false;
		}
		
		/// <summary>
		/// opens the active parsed file
		/// </summary>
		public override void Run()
		{
			if (CocoAddin.CocoPad.ActiveParsedFile != "") {
				FileService.OpenFile(CocoAddin.CocoPad.ActiveParsedFile);
			}
		}
		
		public override bool IsChecked {
			get {
				return false;
			}
		}
	}
}
