﻿// <file>
//     <copyright see="prj:///doc/copyright.txt"/>
//     <license see="prj:///doc/license.txt"/>
//     <owner name="Mike Krüger" email="mike@icsharpcode.net"/>
//     <version value="$version"/>
// </file>
// 15.01.2006: modified from stefan wallner

using System.Collections;
using System.CodeDom.Compiler;

using ICSharpCode.SharpDevelop.Internal.Templates;
using ICSharpCode.SharpDevelop.Gui;

namespace CocoAddin.Tools
{
	/// <summary>
	/// represents the result of a compilation
	/// </summary>
	public class CSharpCompilerResult
	{
		private CompilerResults compilerResults;
		private string          compilerOutput;
		
		
		public CSharpCompilerResult(CompilerResults compilerResults, string compilerOutput)
		{
			this.compilerResults = compilerResults;
			this.compilerOutput  = compilerOutput;
		}
		
		/// <summary>
		/// result of the compilation
		/// </summary>
		public CompilerResults CompilerResults {
			get {
				return compilerResults;
			}
		}
		
		/// <summary>
		/// output of the compiler
		/// </summary>
		public string CompilerOutput {
			get {
				return compilerOutput;
			}
		}
	}
}
